(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


(lib.AnMovieClip = function(){
	this.actionFrames = [];
	this.ignorePause = false;
	this.gotoAndPlay = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndPlay.call(this,positionOrLabel);
	}
	this.play = function(){
		cjs.MovieClip.prototype.play.call(this);
	}
	this.gotoAndStop = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndStop.call(this,positionOrLabel);
	}
	this.stop = function(){
		cjs.MovieClip.prototype.stop.call(this);
	}
}).prototype = p = new cjs.MovieClip();
// symbols:



(lib._1 = function() {
	this.initialize(img._1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,136,136);


(lib._2 = function() {
	this.initialize(img._2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,174,174);


(lib._3 = function() {
	this.initialize(img._3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,93,93);


(lib._4 = function() {
	this.initialize(img._4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,147,147);


(lib._5nam = function() {
	this.initialize(img._5nam);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,157,98);


(lib.BG = function() {
	this.initialize(img.BG);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,99);


(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,174,304);


(lib.replay_btn = function() {
	this.initialize(img.replay_btn);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,14,14);


(lib.line = function() {
	this.initialize(img.line);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,406,18);


(lib.Logo = function() {
	this.initialize(img.Logo);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,75,74);


(lib.t1 = function() {
	this.initialize(img.t1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,413,55);


(lib.t2 = function() {
	this.initialize(img.t2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,138,38);


(lib.t3 = function() {
	this.initialize(img.t3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,235,43);


(lib.t4 = function() {
	this.initialize(img.t4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,252,35);


(lib.t5 = function() {
	this.initialize(img.t5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,400,120);


(lib.t6 = function() {
	this.initialize(img.t6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,105,55);


(lib.xe = function() {
	this.initialize(img.xe);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,777,437);// helper functions:

function mc_symbol_clone() {
	var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop, this.reversed));
	clone.gotoAndStop(this.currentFrame);
	clone.paused = this.paused;
	clone.framerate = this.framerate;
	return clone;
}

function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
	var prototype = cjs.extend(symbol, cjs.MovieClip);
	prototype.clone = mc_symbol_clone;
	prototype.nominalBounds = nominalBounds;
	prototype.frameBounds = frameBounds;
	return prototype;
	}


(lib.Symbol28 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_2
	this.instance = new lib.t6();
	this.instance.setTransform(-13.2,-15.85);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-13.2,-15.8,105,55);


(lib.Symbol25 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Bitmap1();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.Symbol25, new cjs.Rectangle(0,0,174,304), null);


(lib.Symbol21 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._5nam();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,157,98);


(lib.Symbol19 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.BG();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,1080,99);


(lib.Symbol15 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.line();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,406,18);


(lib.Symbol13 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Logo();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,75,74);


(lib.Symbol11 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.t1();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,413,55);


(lib.Symbol9 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.t2();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,138,38);


(lib.Symbol7 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.t3();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,235,43);


(lib.Symbol5 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.t4();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,252,35);


(lib.Symbol3 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#000000").ss(1,1,1).p("Egq9gfPMBV7AAAMAAAA+fMhV7AAAg");
	this.shape.setTransform(275,200);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#993300").s().p("Egq9AfQMAAAg+fMBV7AAAMAAAA+fg");
	this.shape_1.setTransform(275,200);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[]}).to({state:[{t:this.shape_1},{t:this.shape}]},3).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-1,-1,552,402);


(lib.Symbol3copy4 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.replay_btn();
	this.instance.setTransform(14,0,1,1,0,0,180);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.Symbol3copy4, new cjs.Rectangle(0,0,14,14), null);


(lib.shape90 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._4();
	this.instance.setTransform(-74,-74);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-74,-74,147,147);


(lib.shape88 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._3();
	this.instance.setTransform(-46,-46);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-46,-46,93,93);


(lib.shape86 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._2();
	this.instance.setTransform(-87,-87);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-87,-87,174,174);


(lib.shape84 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._1();
	this.instance.setTransform(-68,-68);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-68,-68,136,136);


(lib.Symbol24 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol25();
	this.instance.setTransform(86.9,151.9,1,1,0,0,0,86.9,151.9);
	this.instance.compositeOperation = "lighter";

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.Symbol24, new cjs.Rectangle(0,0,174,304), null);


(lib.Symbol23 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol15("synched",0);
	this.instance.setTransform(203,9,1,1,0,0,0,203,9);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.Symbol23, new cjs.Rectangle(0,0,406,18), null);


(lib.Symbol22 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol21("synched",0);
	this.instance.setTransform(78.5,49,1,1,0,0,0,78.5,49);
	this.instance.alpha = 0.0313;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({alpha:1},14,cjs.Ease.get(1)).wait(134).to({startPosition:0},0).to({_off:true},1).wait(388));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,157,98);


(lib.Symbol20 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol19("synched",0);
	this.instance.setTransform(330,275,1,1,0,0,0,330,275);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,1080,99);


(lib.Symbol16 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol23();
	this.instance.setTransform(203,9,0.1037,1,0,0,0,203,9);
	this.instance.alpha = 0.0313;
	this.instance.compositeOperation = "lighter";

	this.timeline.addTween(cjs.Tween.get(this.instance).to({scaleX:1,alpha:1},19,cjs.Ease.get(1)).wait(129).to({_off:true},1).wait(371));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,406,18);


(lib.Symbol14 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol13("synched",0);
	this.instance.setTransform(37.5,37,1,1,0,0,0,37.5,37);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,75,74);


(lib.Symbol12 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol11("synched",0);
	this.instance.setTransform(206.5,27.5,0.3714,0.3714,0,0,0,206.5,27.4);
	this.instance.alpha = 0.0313;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({regY:27.5,scaleX:1,scaleY:1,alpha:1},19,cjs.Ease.get(1)).wait(15).to({startPosition:0},0).to({y:18.2},6).to({y:27.5},6).wait(112).to({startPosition:0},0).to({_off:true},1).wait(387));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,-9.3,413,64.3);


(lib.Symbol10 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol9("synched",0);
	this.instance.setTransform(-62.85,19,1,1,0,0,0,69,19);
	this.instance.alpha = 0.0313;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:69,alpha:1},19,cjs.Ease.get(1)).wait(180).to({startPosition:0},0).to({_off:true},1).wait(290));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-131.8,0,269.8,38);


(lib.Symbol8 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol7("synched",0);
	this.instance.setTransform(117.55,21.75,2.0715,2.0715,0,0,0,117.5,21.6);
	this.instance.alpha = 0.0313;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({regY:21.5,scaleX:1,scaleY:1,x:117.5,y:21.5,alpha:1},19,cjs.Ease.get(1)).wait(180).to({startPosition:0},0).to({_off:true},1).wait(352));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-125.8,-23,486.8,89.1);


(lib.Symbol6 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol5("synched",0);
	this.instance.setTransform(280.25,17.5,1,1,0,0,0,126,17.5);
	this.instance.alpha = 0.0313;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:126,alpha:1},19,cjs.Ease.get(1)).wait(180).to({startPosition:0},0).to({_off:true},1).wait(218));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,406.3,35);


(lib.Symbol3_1 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_2
	this.instance = new lib.Symbol28("synched",0);
	this.instance.setTransform(161.7,73.35,1,1,0,0,0,50.5,28.6);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(69).to({startPosition:0},0).to({scaleX:1.1477,scaleY:1.1477},6).to({scaleX:1,scaleY:1},6).to({scaleX:1.1477,scaleY:1.1477},6).to({scaleX:1,scaleY:1},6).wait(310).to({startPosition:0},0).to({_off:true},1).wait(96));

	// Layer_1
	this.instance_1 = new lib.t5();
	this.instance_1.setTransform(-11.55,-11.95);

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(403).to({_off:true},1).wait(96));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-11.5,-11.9,400,120);


(lib.Symbol1 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_2 (mask)
	var mask = new cjs.Shape();
	mask._off = true;
	var mask_graphics_20 = new cjs.Graphics().p("AFgEJQg1gIgMgFQg6gSgYgsQgagwiyjEQiujBgSgHID5gIQEcgHCkAKQDHAMBoAXQBpAWBVAyQBIApD7C1QB+BbBvBTQs9ANhdADQjLAGg7AAIgXgBgArkD5QAOhtAThzQAkjmATgeQCCgEBLALQBMALAkAcQAeAXAvA6IAoA2IgIB6Qg+AEhAAIQiAAQgKAUQgKAUACAtQABAXACATIAFAlgAxxDbQjngQACgCIASidIB7jXIClgeQC4gfBdgIQgaBaglBuQgaBMgBAQQgDAggdCYIjogRgA4MBnQgRhUAPgmQAPgmAjgaQASgNAOgGICeg4IjbFSQgLgjgIgqg");

	this.timeline.addTween(cjs.Tween.get(mask).to({graphics:null,x:0,y:0}).wait(20).to({graphics:mask_graphics_20,x:366.6984,y:148.1532}).wait(465));

	// Layer_3
	this.instance = new lib.Symbol24("synched",0);
	this.instance.setTransform(107.05,133.95,1,1.417,44.9996,0,0,86.9,151.8);
	this.instance._off = true;

	var maskedShapeInstanceList = [this.instance];

	for(var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
		maskedShapeInstanceList[shapedInstanceItr].mask = mask;
	}

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(20).to({_off:false},0).to({scaleY:1.3177,rotation:44.9995,x:623.1,y:221.35},40).wait(425));

	// Layer_1
	this.instance_1 = new lib.xe();

	this.timeline.addTween(cjs.Tween.get(this.instance_1).to({_off:true},455).wait(30));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,826.2,437);


(lib.landingBalloonFull = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	this.isSingleFrame = false;
	// timeline functions:
	this.frame_0 = function() {
		if(this.isSingleFrame) {
			return;
		}
		if(this.totalFrames == 1) {
			this.isSingleFrame = true;
		}
		//c3ltYm9sX0xhbmRpbmdBbGxJbk9uZV92ZXIxXzI1MDkyMDE5
		//U3RhcnRTeW1ib2xBZG1pY3JvfHxTeW1ib2xCYWxsb29uVmlkZW8zMjF8fHZlcjEuMC4xfHwwNTAyMjAxOHx8RW5kU3ltYm9sQWRtaWNybw==
		
		
		if (!boxLanding) {
			var boxLanding = document.createElement("div");
			boxLanding.id = "box-landing";
			boxLanding.style.width = "100%";
			boxLanding.style.height = "100%";
			boxLanding.style.position = "absolute";
			document.getElementById("animation_container").appendChild(boxLanding);
		}
		
		setTimeout(function () {
			var landing = document.createElement("div");
			landing.id = "landing";
			landing.style.left = "0";
			landing.style.top = "0";
			landing.style.position = "absolute";
			landing.style.cursor = "pointer";
			landing.style.zIndex = 2;
			document.getElementById("box-landing").appendChild(landing);
			document.getElementById("landing").innerHTML += '<style>#landing{width:100% !important;height:100% !important}</style>';
			landing.addEventListener("click", onClickLanding);
		}, 100);
		
		function onClickLanding(e) {
			if (typeof getQuery != 'function') {
				var getQuery = function (a) {
					var v = '';
					if (a = (new RegExp('[?&]' + encodeURIComponent(a) + '=([^&]*)')).exec(location.search)) {
						v = decodeURIComponent(a[1]);
					}
					return v;
				};
			}
		
			window.URLAdm = getQuery('url');
			window.open(URLAdm, "_blank");
		}
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// Layer_1
	this.landing = new lib.Symbol3();
	this.landing.name = "landing";
	this.landing.setTransform(275,200,1,1,0,0,0,275,200);
	new cjs.ButtonHelper(this.landing, 0, 1, 2, false, new lib.Symbol3(), 3);

	this.timeline.addTween(cjs.Tween.get(this.landing).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.landingBalloonFull, new cjs.Rectangle(-1,-1,552,402), null);


(lib.GrBtnReplay = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// timeline functions:
	this.frame_0 = function() {
		//Y3JlYXRlQnRuUmVwbGF5MjAyMA==
		//U3RhcnRTeW1ib2xBZG1pY3JvfHxDbG9zZVBUT0JhbGxvb258fHZlcjEuMHx8MTYwMjIwMTd8fEVuZFN5bWJvbEFkbWljcm8=
		
		
		if (this.firstRun == null || typeof this.firstRun == 'undefined') {
			this.firstRun = true;
			//console.log('bbbbbbbb');
			var duration_1 = this.parent.duration + 2;
			this.parent.timeline.addTween(createjs.Tween.get(this.parent).wait(duration_1));
		
		
			window.checkShowRep = false;
			var self = this;
			var posClose = self.localToGlobal(self.mcPos.x, self.mcPos.y);
			var currentLocation = window.location;
			var urlClose;
			var color_pick = "#333333";
			var showChildrenRep = false;
			self.name = "mcReplay";
		
			self.mcPos.visible = false;
		
			//console.log("self.mcPos", self.mcPos, self.mcPos.filters[0].blueOffset, self.mcPos.filters[0].greenOffset, self.mcPos.filters[0].redOffset)
			if (self.mcPos.filters && self.mcPos.filters[0]) {
				var rgbToHex = function (rgb) {
					var hex = Number(rgb).toString(16);
					if (hex.length < 2) {
						hex = "0" + hex;
					}
					return hex;
				};
				function changeRGB(r, g, b) {
					var red = rgbToHex(r);
					var green = rgbToHex(g);
					var blue = rgbToHex(b);
					return red + green + blue;
				};
		
				color_pick = "#" + changeRGB(self.mcPos.filters[0].redOffset, self.mcPos.filters[0].greenOffset, self.mcPos.filters[0].blueOffset);
			}
		
			//console.log("color_pick", color_pick)
			if (currentLocation.hostname.toString() == "127.0.0.1") {
				var wrapper = document.createElement("DIV");
				wrapper.id = "replayCover";
				wrapper.style.position = "absolute";
				wrapper.style.zIndex = 6;
				wrapper.style.width = self.mcPos.nominalBounds.width * self.mcPos.scaleX + "px";
				wrapper.style.height = self.mcPos.nominalBounds.height * self.mcPos.scaleY + "px";
				document.getElementById("animation_container").appendChild(wrapper);
				var replayBtn = document.createElement("DIV");
				replayBtn.id = "bg_replay";
				replayBtn.style.width = "100%";
				replayBtn.style.height = "100%";
				replayBtn.style.position = "absolute";
				replayBtn.style.cursor = "pointer";
				replayBtn.style.visibility = "hidden";
				replayBtn.style.display = "none";
				replayBtn.style.zIndex = "6";
				document.getElementById("replayCover").appendChild(replayBtn)
			}
		
			if (document.getElementById("replayCover") && document.getElementById("bg_replay")) {
				//console.log("vao chinh rep", window.wrapper);
		
				//document.getElementById("replayCover").style.width = self.mcPos.nominalBounds.width + "px";
				//document.getElementById("replayCover").style.height = self.mcPos.nominalBounds.height + "px";
				document.getElementById("replayCover").style.width = self.mcPos.nominalBounds.width * self.mcPos.scaleX + "px";
				document.getElementById("replayCover").style.height = self.mcPos.nominalBounds.height * self.mcPos.scaleY + "px";
				document.getElementById("replayCover").style.left = posClose.x + "px";
				document.getElementById("replayCover").style.top = posClose.y + "px";
				document.getElementById("replayCover").style.zIndex = "6";
				document.getElementById("bg_replay").style.zIndex = "6";
				//document.getElementById("replayCover").style.transformOrigin = "0 0";
				//document.getElementById("replayCover").style.transform = "scale(" + self.mcPos.scaleX + "," + self.mcPos.scaleY + ")";
		
		
				document.getElementById("bg_replay").innerHTML = '<?xml version="1.0" encoding="iso-8859-1"?><svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg"  xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 305.836 305.836" style="enable-background:new 0 0 305.836 305.836;display:block;" xml:space="preserve"><g><path id="rep" d="M152.924,300.748c84.319,0,152.912-68.6,152.912-152.918c0-39.476-15.312-77.231-42.346-105.564c0,0,3.938-8.857,8.814-19.783c4.864-10.926-2.138-18.636-15.648-17.228l-79.125,8.289c-13.511,1.411-17.999,11.467-10.021,22.461l46.741,64.393c7.986,10.992,17.834,12.31,22.008,2.937l7.56-16.964c12.172,18.012,18.976,39.329,18.976,61.459c0,60.594-49.288,109.875-109.87,109.875c-60.591,0-109.882-49.287-109.882-109.875c0-19.086,4.96-37.878,14.357-54.337c5.891-10.325,2.3-23.467-8.025-29.357c-10.328-5.896-23.464-2.3-29.36,8.031C6.923,95.107,0,121.27,0,147.829C0,232.148,68.602,300.748,152.924,300.748z"/></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g></svg><style>#rep{fill: ' + color_pick + ' !important}</style>';
				document.getElementById("bg_replay").addEventListener("click", onClickRepDom);
			}
		
		
		
			function onClickRepDom() {
				window.eventRep();
				createjs.Ticker.addEventListener('tick', stage);
			}
		
			window.eventRep = function () {
				window.isCompleteVideo = false;
				main.gotoAndPlay(0);
				for (var i = 0; i < main.children.length; i++) {
					if (main.children[i].currentFrame > 0) {
						main.children[i].gotoAndPlay(0);
					}
				}
				window.showReplay(false);
				if (typeof window.initVideo == 'function') {
					//console.log("window.initVideo")
					window.initVideo();
				}
			}
			window.showReplay = function (check) {
				//console.log("window.showReplay", check)
				onShowHideButtonRep(check);
			}
		
		
		
			window.initRep = function () {
				//window.isCompleteVideo = true;
				showChildrenRep = false;
				createjs.Ticker.addEventListener("tick", handleTick);
			}
		
			function onShowHideButtonRep(check) {
				window.checkShowRep = check;
				if (check) {
					if (document.getElementById("bg_replay")) {
						document.getElementById("bg_replay").style.visibility = "visible";
						document.getElementById("bg_replay").style.display = "block";
					}
					createjs.Ticker.removeEventListener('tick', stage);
				} else {
					if (document.getElementById("bg_replay")) {
						document.getElementById("bg_replay").style.visibility = "hidden";
						document.getElementById("bg_replay").style.display = "none";
					}
					createjs.Ticker.addEventListener('tick', stage);
				}
			}
		
			function handleTick(e) {
				if (!showChildrenRep) {
		
					if (!window.main) return;
					showChildrenRep = true;
					//console.log("handleTick------1: ", showChildrenRep);
		
					for (var i = 0; i < window.main.children.length; i++) {
						//console.log("handleTick------2: ");
						var mc = window.main.children[i];
						if (mc.name != null) {
							//console.log("handleTick rep------3: ", mc.name);
							if (mc.name == "mcReplay") {
								//console.log("window.playVideo", window.playVideo);
								if (document.getElementById("box-video-dom") && window.playVideo) {
									console.log("co video va video chay 2")
									window.showReplay(false);
								} else {
									console.log("ko video / co video nhung k chay 2")
									window.showReplay(true);
								}
							}
						}
					}
				}
			}
		
		
		
		}
		
		if (document.getElementById("box-video-dom") && window.playVideo) {
			console.log("co video va video chay 1")
			window.showReplay(false);
		} else {
			console.log("ko video / co video nhung k chay 1")
			window.showReplay(true);
		}
		
		window.main = this.parent;
		main.stop();
		this.stop();
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(2));

	// Layer_1
	this.mcPos = new lib.Symbol3copy4();
	this.mcPos.name = "mcPos";
	this.mcPos.setTransform(0,0,0.7143,0.7143);
	var mcPosFilter_1 = new cjs.ColorFilter(0,0,0,1,0,0,102,0);
	this.mcPos.filters = [mcPosFilter_1];
	this.mcPos.cache(-2,-2,18,18);

	this.timeline.addTween(cjs.Tween.get(this.mcPos).wait(2));
	this.timeline.addTween(cjs.Tween.get(mcPosFilter_1).wait(2));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,10,10);


(lib.sprite91 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.shape90("synched",0);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.sprite91, new cjs.Rectangle(-74,-74,147,147), null);


(lib.sprite89 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.shape88("synched",0);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.sprite89, new cjs.Rectangle(-46,-46,93,93), null);


(lib.sprite87 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.shape86("synched",0);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.sprite87, new cjs.Rectangle(-87,-87,174,174), null);


(lib.sprite85 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.shape84("synched",0);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.sprite85, new cjs.Rectangle(-68,-68,136,136), null);


(lib.Symbol26 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// t4_png
	this.instance = new lib.Symbol6("synched",0);
	this.instance.setTransform(204.2,132.2,0.7975,0.7975,0,0,0,126,17.6);
	this.instance._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(5).to({_off:false},0).wait(200));

	// t3_png
	this.instance_1 = new lib.Symbol8("synched",0);
	this.instance_1.setTransform(255.35,100.7,0.8025,0.8025,0,0,0,117.5,21.6);
	this.instance_1._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(5).to({_off:false},0).wait(200));

	// t2_png
	this.instance_2 = new lib.Symbol10("synched",0);
	this.instance_2.setTransform(115.5,100.5,0.8116,0.8116,0,0,0,69,19.1);
	this.instance_2._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(5).to({_off:false},0).wait(200));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-47.5,0,498.2,146.1);


(lib.Symbol4 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol3_1("synched",0);
	this.instance.setTransform(200.05,51,0.3265,0.3265,0,0,0,200,51);
	this.instance.alpha = 0.0313;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({scaleX:1,scaleY:1,x:200,alpha:1},19,cjs.Ease.get(1)).wait(129).to({startPosition:129},0).to({_off:true},1).wait(274));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-11.5,-11.9,400,120);


(lib.sprite94 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_9
	this.instance = new lib.sprite91();
	this.instance.setTransform(1.65,10.85,0.6422,0.6422);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:-10.15,y:-0.15,alpha:1},18).to({scaleX:0.7113,scaleY:0.7113,x:-38.8,y:0.05,alpha:0},40).wait(1));

	// Layer_7
	this.instance_1 = new lib.sprite89();
	this.instance_1.setTransform(17.6,-0.15,0.6422,0.6422);
	this.instance_1.alpha = 0;

	this.instance_2 = new lib.shape88("synched",0);
	this.instance_2.setTransform(14.1,0,0.4108,0.4108);
	this.instance_2.alpha = 0;

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_1}]}).to({state:[{t:this.instance_1}]},18).to({state:[{t:this.instance_1}]},5).to({state:[{t:this.instance_1}]},1).to({state:[{t:this.instance_1}]},10).to({state:[{t:this.instance_1}]},1).to({state:[{t:this.instance_1}]},1).to({state:[{t:this.instance_1}]},1).to({state:[{t:this.instance_1}]},4).to({state:[{t:this.instance_1}]},1).to({state:[{t:this.instance_1}]},5).to({state:[{t:this.instance_1}]},1).to({state:[{t:this.instance_1}]},2).to({state:[{t:this.instance_2}]},1).to({state:[]},1).wait(7));
	this.timeline.addTween(cjs.Tween.get(this.instance_1).to({alpha:1},18).to({scaleX:0.6062,scaleY:0.6062,x:17.05,alpha:0.8398},5).to({scaleX:0.601,scaleY:0.601,x:17,y:-0.1,alpha:0.8203},1).to({scaleX:0.5394,scaleY:0.5394,x:16.05,alpha:0.5508},10).to({scaleX:0.5342,scaleY:0.5342,x:15.95,y:-0.05,alpha:0.5391},1).to({scaleX:0.5291,scaleY:0.5291,x:15.9,alpha:0.5117},1).to({scaleX:0.5239,scaleY:0.5239,x:15.8,y:0,alpha:0.4883},1).to({scaleX:0.5034,scaleY:0.5034,x:15.5,alpha:0.3984},4).to({scaleX:0.4982,scaleY:0.4982,x:15.4,y:-0.05,alpha:0.3789},1).to({scaleX:0.452,scaleY:0.452,x:14.7,alpha:0.1797},5).to({scaleX:0.4468,scaleY:0.4468,x:14.65,y:0,alpha:0.1602},1).to({scaleX:0.416,scaleY:0.416,x:14.2,alpha:0.0195},2).to({_off:true},1).wait(8));

	// Layer_5
	this.instance_3 = new lib.sprite87();
	this.instance_3.setTransform(10.3,-0.15,0.6422,0.6422);
	this.instance_3.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance_3).to({scaleX:0.618,scaleY:0.618,x:9.55,alpha:0.2695},8).to({scaleX:0.6164,scaleY:0.6164,x:9.5,y:-0.1,alpha:0.2891},1).to({scaleX:0.589,scaleY:0.589,x:8.6,alpha:0.6016},9).to({scaleX:0.5318,scaleY:0.5318,x:6.75,alpha:0.4688},8).to({scaleX:0.5261,scaleY:0.5261,x:6.55,y:-0.05,alpha:0.4609},1).to({scaleX:0.5032,scaleY:0.5032,x:5.85,alpha:0.4102},3).to({scaleX:0.4975,scaleY:0.4975,x:5.65,y:-0.1,alpha:0.3906},1).to({scaleX:0.4461,scaleY:0.4461,x:4,alpha:0.2695},8).to({scaleX:0.4403,scaleY:0.4403,x:3.8,y:-0.05,alpha:0.2617},1).to({scaleX:0.4003,scaleY:0.4003,x:2.5,alpha:0.1719},4).to({scaleX:0.3946,scaleY:0.3946,x:2.35,y:0,alpha:0.1602},1).to({scaleX:0.3317,scaleY:0.3317,x:0.3,alpha:0.0117},6).to({_off:true},1).wait(7));

	// Layer_3
	this.instance_4 = new lib.sprite85();
	this.instance_4.setTransform(0,0,1.1365,1.1365,32.5708);
	this.instance_4.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance_4).to({scaleX:1.1494,scaleY:1.1494,rotation:37.1179,alpha:0.0508},1).to({scaleX:1.4425,scaleY:1.4425,rotation:129.6376,alpha:0.9492},13).to({scaleX:1.4595,scaleY:1.4595,rotation:134.371,alpha:1},1).to({scaleX:1.052,scaleY:1.052,rotation:178.9778,alpha:0.1289},16).to({scaleX:1.037,scaleY:1.037,rotation:180.5143,alpha:0.1016},1).to({scaleX:0.9918,scaleY:0.9918,rotation:185.5064,alpha:0},2).to({_off:true},1).wait(24));

	// Layer_1
	this.instance_5 = new lib.sprite85();
	this.instance_5.setTransform(0,0,0.6602,0.6602,82.7387);
	this.instance_5.alpha = 0;
	this.instance_5._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_5).wait(4).to({_off:false},0).to({scaleX:0.6552,scaleY:0.6552,rotation:139.898,alpha:0.5703},6).to({scaleX:0.6564,scaleY:0.6564,rotation:177.9871,alpha:0.9492},4).to({scaleX:0.6562,scaleY:0.6562,rotation:183.5473,alpha:1},1).to({scaleX:0.571,scaleY:0.571,rotation:231.1704,alpha:0.5},8).to({scaleX:0.491,scaleY:0.491,rotation:278.9943,alpha:0},8).to({_off:true},1).wait(27));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-140.3,-140.3,280.70000000000005,280.70000000000005);


(lib.Symbol27 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol26("synched",0);
	this.instance.setTransform(240.5,166.65,1,1,0,0,0,300,250);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(39).to({startPosition:39},0).to({y:160.65,startPosition:45},6).to({y:166.65,startPosition:52},6).wait(107).to({startPosition:159},0).to({_off:true},1).wait(416));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-107,-18.4,498.2,81.1);


(lib.Symbol2 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.sprite94("synched",0);
	this.instance.setTransform(528.15,223.25,1.2428,1.2428);

	this.instance_1 = new lib.sprite94("synched",0);
	this.instance_1.setTransform(663.55,220.05,1.2428,1.2428);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[]}).to({state:[{t:this.instance_1},{t:this.instance}]},59).to({state:[]},60).wait(387));

	// Layer_1
	this.instance_2 = new lib.Symbol1("synched",0);
	this.instance_2.setTransform(29.85,258,0.3255,0.3255,0,0,0,97.4,270.8);
	this.instance_2.alpha = 0.0313;

	this.timeline.addTween(cjs.Tween.get(this.instance_2).to({regX:97.5,scaleX:1,scaleY:1,x:97.5,y:270.8,alpha:1},20,cjs.Ease.get(1)).wait(138).to({startPosition:138},0).to({_off:true},1).wait(347));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-1.8,0,839.8,437);


// stage content:
(lib._980x90 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// LANDING_PC
	this.instance = new lib.landingBalloonFull();
	this.instance.setTransform(489.8,45,1.7818,0.225,0,0,0,274.9,200);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(159));

	// Layer_2
	this.instance_1 = new lib.GrBtnReplay();
	this.instance_1.setTransform(968.95,80.5,1,1,0,0,0,7,7);
	this.instance_1._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(158).to({_off:false},0).wait(1));
	this.instance_1.addEventListener("tick", AdobeAn.handleFilterCache);

	// _nam_png
	this.instance_2 = new lib.Symbol22("synched",0);
	this.instance_2.setTransform(914.9,44.8,0.6158,0.6158,0,0,0,78.7,49.1);
	this.instance_2._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(10).to({_off:false},0).wait(149));

	// line_png
	this.instance_3 = new lib.Symbol16("synched",0);
	this.instance_3.setTransform(729.7,32.1,0.7058,0.7058,0,0,0,202.9,9.3);
	this.instance_3._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_3).wait(10).to({_off:false},0).wait(149));

	// t5_png
	this.instance_4 = new lib.Symbol4("synched",0);
	this.instance_4.setTransform(735.8,46.6,0.6105,0.6105,0,0,0,200.2,51.2);
	this.instance_4._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_4).wait(10).to({_off:false},0).wait(149));

	// Layer_14
	this.instance_5 = new lib.Symbol27("synched",0);
	this.instance_5.setTransform(206.3,67.85,0.7934,0.7934,0,0,0,90.5,41.6);

	this.timeline.addTween(cjs.Tween.get(this.instance_5).wait(159));

	// t1_png
	this.instance_6 = new lib.Symbol12("synched",0);
	this.instance_6.setTransform(250.8,19.95,0.5461,0.5461,0,0,0,206.6,27.4);

	this.timeline.addTween(cjs.Tween.get(this.instance_6).wait(159));

	// Logo_png
	this.instance_7 = new lib.Symbol14("synched",0);
	this.instance_7.setTransform(60.5,45.15,0.8135,0.8135,0,0,0,37.5,37.1);

	this.timeline.addTween(cjs.Tween.get(this.instance_7).wait(159));

	// xe_png
	this.instance_8 = new lib.Symbol2("synched",0);
	this.instance_8.setTransform(472.05,40.2,0.3309,0.3309,0,0,0,388.4,218.3);

	this.timeline.addTween(cjs.Tween.get(this.instance_8).wait(159));

	// BG_jpg
	this.instance_9 = new lib.Symbol20("synched",0);
	this.instance_9.setTransform(300,250,0.9091,0.9091,0,0,0,330,275);

	this.timeline.addTween(cjs.Tween.get(this.instance_9).wait(159));

	// stageBackground
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("rgba(0,0,0,0)").ss(1,1,1,3,true).p("EhOHgIlMCcPAAAIAARLMicPAAAg");
	this.shape.setTransform(490,45);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("EhOHAImIAAxLMCcPAAAIAARLg");
	this.shape_1.setTransform(490,45);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(159));

	this._renderFirstFrame();

}).prototype = p = new lib.AnMovieClip();
p.nominalBounds = new cjs.Rectangle(490,13,491.79999999999995,99.6);
// library properties:
lib.properties = {
	id: '89D79A1C88F25847A8FD4683FBB68D70',
	width: 980,
	height: 90,
	fps: 30,
	color: "#FFFFFF",
	opacity: 1.00,
	manifest: [
		{src:"images/_1.png?1747036398420", id:"_1"},
		{src:"images/_2.png?1747036398420", id:"_2"},
		{src:"images/_3.png?1747036398421", id:"_3"},
		{src:"images/_4.png?1747036398421", id:"_4"},
		{src:"images/_5nam.png?1747036398421", id:"_5nam"},
		{src:"images/BG.jpg?1747036398421", id:"BG"},
		{src:"images/Bitmap1.png?1747036398421", id:"Bitmap1"},
		{src:"images/replay_btn.png?1747036398421", id:"replay_btn"},
		{src:"images/line.png?1747036398421", id:"line"},
		{src:"images/Logo.png?1747036398421", id:"Logo"},
		{src:"images/t1.png?1747036398421", id:"t1"},
		{src:"images/t2.png?1747036398421", id:"t2"},
		{src:"images/t3.png?1747036398421", id:"t3"},
		{src:"images/t4.png?1747036398421", id:"t4"},
		{src:"images/t5.png?1747036398421", id:"t5"},
		{src:"images/t6.png?1747036398421", id:"t6"},
		{src:"images/xe.png?1747036398421", id:"xe"}
	],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['89D79A1C88F25847A8FD4683FBB68D70'] = {
	getStage: function() { return exportRoot.stage; },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}


an.makeResponsive = function(isResp, respDim, isScale, scaleType, domContainers) {		
	var lastW, lastH, lastS=1;		
	window.addEventListener('resize', resizeCanvas);		
	resizeCanvas();		
	function resizeCanvas() {			
		var w = lib.properties.width, h = lib.properties.height;			
		var iw = window.innerWidth, ih=window.innerHeight;			
		var pRatio = window.devicePixelRatio || 1, xRatio=iw/w, yRatio=ih/h, sRatio=1;			
		if(isResp) {                
			if((respDim=='width'&&lastW==iw) || (respDim=='height'&&lastH==ih)) {                    
				sRatio = lastS;                
			}				
			else if(!isScale) {					
				if(iw<w || ih<h)						
					sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==1) {					
				sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==2) {					
				sRatio = Math.max(xRatio, yRatio);				
			}			
		}
		domContainers[0].width = w * pRatio * sRatio;			
		domContainers[0].height = h * pRatio * sRatio;
		domContainers.forEach(function(container) {				
			container.style.width = w * sRatio + 'px';				
			container.style.height = h * sRatio + 'px';			
		});
		stage.scaleX = pRatio*sRatio;			
		stage.scaleY = pRatio*sRatio;
		lastW = iw; lastH = ih; lastS = sRatio;            
		stage.tickOnUpdate = false;            
		stage.update();            
		stage.tickOnUpdate = true;		
	}
}
an.handleSoundStreamOnTick = function(event) {
	if(!event.paused){
		var stageChild = stage.getChildAt(0);
		if(!stageChild.paused || stageChild.ignorePause){
			stageChild.syncStreamSounds();
		}
	}
}
an.handleFilterCache = function(event) {
	if(!event.paused){
		var target = event.target;
		if(target){
			if(target.filterCacheList){
				for(var index = 0; index < target.filterCacheList.length ; index++){
					var cacheInst = target.filterCacheList[index];
					if((cacheInst.startFrame <= target.currentFrame) && (target.currentFrame <= cacheInst.endFrame)){
						cacheInst.instance.cache(cacheInst.x, cacheInst.y, cacheInst.w, cacheInst.h);
					}
				}
			}
		}
	}
}


})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;